//postcss的配置。PostCSS是一个用JavaScript工具和插件转换CSS代码的工具，类似babel对js的处理。
module.exports = {
  plugins: {
    //postcss插件：用于支持下一代的css，包含autoprefixer（自动补全webkit等前缀）
    'postcss-cssnext': {
      browsers: ['last 2 versions', '> 5%']
    },
    //postcss插件：修复flex的bug
    'postcss-flexbugs-fixes': {},
    //用于屏幕适配：自动将px转rem
    'postcss-pxtorem': {
      rootValue: 37.5, //1rem等于多少px
      propList: ['*']
    }
  }
};
