import React from 'react';
import LayoutHome from './LayoutHome';
import {Header, Tab} from './components';

import './LayoutMenu.scss';

/**
 * 菜单页面布局
 */
export default class LayoutMenu extends LayoutHome {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div className="g-layout-menu">
        <Header />
        <div className="content"> {this.renderRoutes()}</div>
        <Tab type={this.props.type} />
      </div>
    );
  }
}
