import React from 'react';
import LayoutHome from './LayoutHome';
import {Header, Tab} from './components';

import './LayoutView.scss';

/**
 * 公共组件布局
 */
export default class LayoutView extends LayoutHome {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div className="g-layout-view">
        <Header />
        <div className="content"> {this.renderRoutes()}</div>
        <Tab type={this.props.type} />
      </div>
    );
  }
}
