import React from 'react';
import {Switch} from 'react-router-dom';

/**
 * 默认页面布局
 * 属性：
 * type：布局类型。类型：'view'|'home'|'menu'|'tab'。
 * routes：子路由组件数组。类型：ReactNode[]。
 */
export default class LayoutHome extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    return this.renderRoutes();
  }

  /**
   * 子路由页面
   */
  renderRoutes() {
    let {routes} = this.props;
    return <Switch>{routes}</Switch>;
  }
}
