import React from 'react';
import {Button, Result} from 'antd';
import {ToolHistory} from '../utils';

/**
 * 404页面
 */
export default class Home extends React.Component {
  //界面渲染函数
  render() {
    return (
      <Result
        status="404"
        title="404"
        subTitle="您访问的页面不存在!"
        extra={
          <a onClick={() => ToolHistory.href('/')}>
            <Button type="primary">Back Home</Button>
          </a>
        }
      />
    );
  }
}
