const homeMethods = {
  setUser: "setUser",
};
const store = {
  namespaced: true,
  state: {
    name: "首页",
    homeData: {},
  },
  getters: {
    getLocale: (state) => {
      return state.name;
    },
  },
  mutations: {
    [homeMethods.setUser]: (state, data) => {
      console.log("被执行了", data);
    },
    setHomeData(state, data) {
      console.log("state---home", state);
      console.log("data---home", data);
      state.homeData = data;
    },
  },
  actions: {
    demoactions: ({ commit }, data) => {
      commit(homeMethods.setUser, data);
    },
  },
};
export default store;
