/**
 * 配置项常量
 */
module.exports = {
  /**
   * 环境模式：
   * mock是mock环境（前端为本地环境，mock后台数据）
   * dev是开发环境（前端为本地环境，后台为测试环境）
   * stg是测试环境（前端为测试环境，后台为测试环境）
   * prod是生产环境（前端为生产环境，后台为生产环境）
   */
  modeMock: 'mock',
  modeDev: 'dev',
  modeStg: 'stg',
  modeProd: 'prod',

  //域名：测试环境。
  hostStg: 'http://wthrcdn.etouch.cn',
  hostProd: 'http://wthrcdn.etouch.cn',

  //公钥：测试环境
  publicKeyStg:
    'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDfNyifT2Ks8V5yw/qHhIwRcHWm5BW+8VU5gAEjvfzAZazifzexshI24TRSCOGyRkm9mWg9gGTnTZfoMqcI0eFRBxovP5lMZVAbwfUhsZeU354052WsXY0zN7b3ZekfvIg3Y1RSO2Kal1xeTpQpQ1gPm8lHBW6jKfA+2v4mm93uaQIDAQAB',
  publicKeyProd:
    'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDb4h87czE6jYwR9Lza2mkHP64hcXc7D6p2qRqvmFHub8sOP7MD8PQwEvzU4JULritjl5GO/3w75RntGtZ++7fQjWoFOuyK472PmD47CVNQ8haKURz8Ic1Ql0WmF+VWCUExe2aYanWf8x00IEh5uAGnW/eEx4StSuLoFMsJLjmZTwIDAQAB',

  //私密信息：测试环境，用于防止别人冒充签名
  secretStg: 'f156d826-dce6-11e9-960e-06d9560006f2',
  secretProd: '2f136c02-efba-11e9-960e-06d9560006f2'
};
