import {Tool} from '../utils';

let data = null;
/**
 * 从sessionStorage中获取locale参数，根据locale参数获取对应的国际化配置
 */
const locale = Tool.getItem('locale') || 'zh';
if (locale === 'zh') {
  data = require('./zh').default;
} else if (locale === 'en') {
  data = require('./en').default;
}
export default data;
