const dataQueryWeather = {
  data: {
    yesterday: {
      date: '28日星期日',
      high: '高温 18℃',
      fx: '西北风',
      low: '低温 8℃',
      fl: '<![CDATA[4级]]>',
      type: '霾'
    },
    city: '北京',
    forecast: [
      {
        date: '29日星期一',
        high: '高温 18℃',
        fengli: '<![CDATA[2级]]>',
        low: '低温 6℃',
        fengxiang: '西风',
        type: '多云'
      }
    ],
    ganmao: '感冒易发期，外出请适当调整衣物，注意补充水分。',
    wendu: '13'
  },
  status: 1000,
  desc: 'OK'
};

//公共的mock数据
const mockBase = {
  '/weather_mini': dataQueryWeather //查询天气
};

/**
 * 网络请求mock数据
 * 注意：更新mock数据后，需要重启服务
 */
module.exports = {
  ...mockBase,
  ...require('./Order'),
  ...require('./Login')
};
