import React from 'react';
import {Button, Result} from 'antd';
import {ToolHistory} from '../utils';

/**
 * 403页面
 */
export default class Home extends React.Component {
  //界面渲染函数
  render() {
    return (
      <Result
        status="403"
        title="403"
        subTitle="你没有权限访问该页面!"
        extra={
          <a onClick={() => ToolHistory.href('/')}>
            <Button type="primary">Back Home</Button>
          </a>
        }
      />
    );
  }
}
