module.exports = {
  plugins: {
    autoprefixer: {}, // 浏览器前缀
    /*优先使用rem,如果想使用vm,注释掉postcss-pxtorem*/
    "postcss-pxtorem": {
      rootValue: 37.5, //根元素大小
      unitPrecision: 5, //小数点后几位
      propList: ["*", "!border", "!min-width", "!max-width"], //匹配转换的rem
      selectorBlackList: [], //忽略的选择器
      mediaQuery: false, //媒体查询是否转换
      minPixelValue: 1, //最小的转换值
      exclude: [/node_modules/i], //忽略转换的路径
    },
    // "postcss-px-to-viewport": {
    //   unitToConvert: "px", //需要转换的单位，默认为"px"；
    //   viewportWidth: 750, //设计稿的视口宽度
    //   unitPrecision: 5, //单位转换后保留的小数位数
    //   propList: ["*", "!border", "!min-width", "!max-width"], //要进行转换的属性列表,*表示匹配所有,!表示不转换
    //   viewportUnit: "vw", //转换后的视口单位
    //   fontViewportUnit: "vw", //转换后字体使用的视口单位
    //   selectorBlackList: [], //不进行转换的css选择器，继续使用原有单位
    //   minPixelValue: 1, //设置最小的转换数值
    //   mediaQuery: false, //设置媒体查询里的单位是否需要转换单位
    //   replace: true, //是否直接更换属性值，而不添加备用属性
    //   exclude: [/node_modules/], //忽略某些文件夹下的文件
    // },
  },
};
